raui-quick-start 0.38.2

RAUI quick start module for easier playground experience
docs.rs failed to build raui-quick-start-0.38.2
Please check the build logs for more information.
See Builds for ideas on how to fix a failed build, or Metadata for how to configure docs.rs builds.
If you believe this is docs.rs' fault, open an issue.

Tiny library to get you started learning RAUI as quick as possible 🚀

Example

# use raui::prelude::*;
# fn my_widget(_: WidgetContext) -> WidgetNode { widget!(()) }
// Import the builder
use raui_quick_start::RauiQuickStartBuilder;

// Create the builder
RauiQuickStartBuilder::default()
// Set our window title
.window_title("My RAUI App".into())
// Set the RAUI widget tree for our app
.widget_tree(widget! {
(my_widget)
})
// Build the app
.build()
.expect("Error building quick start")
// And run it! 🚀
.run()
.expect("Error running RAUI app");